[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Patch: mklibs.sh for glibc 2.1.94

On Wed, Nov 08, 2000 at 02:38:45PM -0500, Jeff Licquia wrote:
> I've been working on a project that requires building stripped-down
> libraries, and was frustrated to discover the bug in mklibs.sh from
> the current boot-floppies didn't work with the new glibc.  Not wanting
> to use potato for this task, I figured out and fixed the bug.
> (I realize that glibc has moved on since then; I'm sure it should be
> obvious what I did, though, and updating it to reflect the current
> situation should be a cinch.)
> I wasn't sure who to send the patch to, so I'm sending it here, in
> hopes that it will make its way wherever it needs to go.

Actually I'de like to see mklibs.sh rewritten to not need all this
hardcoded version. For one, 2.1.94 is not even in Debian anymore (2.1.97
is the latest now), and 2.2.0 is coming very soon. To avoid all of this
hardcoding for all possible versions, how about match things like 2.0.*
2.1.* and 2.2.*, or ever remove that all together?


/  Ben Collins  --  ...on that fantastic voyage...  --  Debian GNU/Linux   \
`  bcollins@debian.org  --  bcollins@openldap.org  --  bcollins@linux.com  '

Reply to: